package top.theillusivec4.curios.integration;

import io.github.apace100.origins.component.OriginComponent;
import io.github.apace100.origins.power.ElytraFlightPower;
import io.github.apace100.origins.power.RestrictArmorPower;
import io.github.apace100.origins.registry.ModComponents;
import net.minecraft.class_1304;
import net.minecraft.class_1308;
import net.minecraft.class_1657;
import net.minecraft.class_1799;
import net.minecraft.class_1802;

public class OriginsIntegration {

  public static boolean canEquip(class_1799 stack, class_1657 player) {
    OriginComponent component = ModComponents.ORIGIN.get(player);
    class_1304 slot = class_1308.method_5953(stack);

    if (component.getPowers(RestrictArmorPower.class).stream()
        .anyMatch(rap -> !rap.canEquip(stack, slot))) {
      return false;
    }

    if (OriginComponent.getPowers(player, ElytraFlightPower.class).size() > 0) {
      return stack.method_7909() != class_1802.field_8833;
    }
    return true;
  }
}
