/*
 * Copyright (c) 2018-2020 C4
 *
 * This file is part of Curios, a mod made for Minecraft.
 *
 * Curios is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Curios is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Curios.  If not, see <https://www.gnu.org/licenses/>.
 */

package top.theillusivec4.curios.client.render.model;

import net.minecraft.class_1309;
import net.minecraft.class_4587;
import net.minecraft.class_4588;
import net.minecraft.class_583;
import net.minecraft.class_630;

public class AmuletModel<T extends class_1309> extends class_583<T> {

  public class_630 amulet;

  public AmuletModel() {
    this.field_17138 = 16;
    this.field_17139 = 16;
    this.amulet = new class_630(this, 0, 0);
    this.amulet.method_2851(0.0F, 0.0F, 0.0F);
    this.amulet.method_2856(-2.0F, 2.0F, -3.0F, 4, 4, 1, 0.0F);
  }

  @Override
  public void setAngles(T entity, float limbAngle, float limbDistance, float animationProgress,
      float headYaw, float headPitch) {

  }

  @Override
  public void method_2828(class_4587 matrices, class_4588 vertices, int light, int overlay,
      float red, float green, float blue, float alpha) {
    this.amulet.method_22698(matrices, vertices, light, overlay);
  }
}
